Bug 26510 - Update request: nvidia390-390.132-6.mga7.nonfree
Summary: Update request: nvidia390-390.132-6.mga7.nonfree
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks: 26525 26526
  Show dependency treegraph
 
Reported: 2020-04-20 20:47 CEST by Thomas Backlund
Modified: 2020-04-24 19:05 CEST (History)
5 users (show)

See Also:
Source RPM: nvidia390
CVE:
Status comment:


Attachments

Description Thomas Backlund 2020-04-20 20:47:44 CEST
Adds kernel 5.6 support


SRPM:
nvidia390-390.132-6.mga7.nonfree.src.rpm

i586:
dkms-nvidia390-390.132-6.mga7.nonfree.i586.rpm
nvidia390-cuda-opencl-390.132-6.mga7.nonfree.i586.rpm
nvidia390-devel-390.132-6.mga7.nonfree.i586.rpm
nvidia390-doc-html-390.132-6.mga7.nonfree.i586.rpm
x11-driver-video-nvidia390-390.132-6.mga7.nonfree.i586.rpm

x86_64:
dkms-nvidia390-390.132-6.mga7.nonfree.x86_64.rpm
nvidia390-cuda-opencl-390.132-6.mga7.nonfree.x86_64.rpm
nvidia390-devel-390.132-6.mga7.nonfree.x86_64.rpm
nvidia390-doc-html-390.132-6.mga7.nonfree.x86_64.rpm
x11-driver-video-nvidia390-390.132-6.mga7.nonfree.x86_64.rpm
Comment 1 Thomas Backlund 2020-04-20 20:51:08 CEST
For testers, just check that everything still works with kernel 5.5 series
Comment 2 ben mcmonagle 2020-04-22 04:16:17 CEST
Mga7 64 Plasma system

Asus U31S

Linux localhost 5.5.15-desktop-3.mga7 #1 SMP Sat Apr 4 19:06:09 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
Card:NVIDIA GeForce 420 to GeForce 630: NVIDIA Corporation|GF119M [GeForce GT 520M] [DISPLAY_VGA] (rev: a1)

urpmi dkms-nvidia390 x11-driver-video-nvidia390 nvidia390-doc-html nvidia390-devel nvidia390-cuda-opencl 
   
installing x11-driver-video-nvidia390-390.132-6.mga7.nonfree.x86_64.rpm nvidia390-cuda-opencl-390.132-6.mga7.nonfree.x86_64.rpm nvidia390-devel-390.132-6.mga7.nonfree.x86_64.rpm nvidia390-doc-html-390.132-6.mga7.nonfree.x86_64.rpm dkms-nvidia390-390.132-6.mga7.nonfree.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     ##################################################################################################################
      1/5: dkms-nvidia390        ##################################################################################################################

Creating symlink /var/lib/dkms/nvidia390/390.132-6.mga7.nonfree/source ->
                 /usr/src/nvidia390-390.132-6.mga7.nonfree

DKMS: add Completed.

Preparing kernel 5.5.15-desktop-3.mga7 for module build:
(This is not compiling a kernel, just preparing kernel symbols)
Storing current .config to be restored when complete
Running Generic preparation routine
make mrproper....(bad exit status: 2)
using /proc/config.gz
make oldconfig....(bad exit status: 2)
make prepare....(bad exit status: 2)

Building module:
cleaning build area....
'make' -j4 SYSSRC=/lib/modules/5.5.15-desktop-3.mga7/build modules...........................
cleaning build area....
cleaning kernel tree (make mrproper)....(bad exit status: 2)

DKMS: build Completed.

nvidia390.ko.xz:
 - Installation
   - Installing to /lib/modules/5.5.15-desktop-3.mga7/dkms/drivers/char/drm/

nvidia-modeset.ko.xz:
 - Installation
   - Installing to /lib/modules/5.5.15-desktop-3.mga7/dkms/drivers/char/drm/

nvidia-drm.ko.xz:
 - Installation
   - Installing to /lib/modules/5.5.15-desktop-3.mga7/dkms/drivers/char/drm/

nvidia-uvm.ko.xz:
 - Installation
   - Installing to /lib/modules/5.5.15-desktop-3.mga7/dkms/drivers/char/drm/

depmod..........

DKMS: install Completed.
dracut: Executing: /usr/bin/dracut -f
dracut: dracut module 'bootchart' will not be installed, because command '/sbin/bootchartd' could not be found!
dracut: dracut module 'systemd' will not be installed, because it's in the list to be omitted!
dracut: dracut module 'systemd-bootchart' will not be installed, because command '/usr/lib/systemd/systemd-bootchart' could not be found!
dracut: systemd-initrd needs systemd in the initramfs
dracut: dracut module 'caps' will not be installed, because command 'capsh' could not be found!
dracut: systemd-networkd needs systemd in the initramfs
dracut: dracut module 'busybox' will not be installed, because command 'busybox' could not be found!
dracut: dracut module 'network' will not be installed, because it's in the list to be omitted!
dracut: dracut module 'network' will not be installed, because it's in the list to be omitted!
dracut: dracut module 'ifcfg' depends on 'network', which can't be installed
dracut: dracut module 'cifs' will not be installed, because command 'mount.cifs' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsistart' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsi-iname' could not be found!
dracut: dracut module 'biosdevname' will not be installed, because command 'biosdevname' could not be found!
dracut: dracut-systemd needs systemd-initrd in the initramfs
dracut: dracut module 'caps' will not be installed, because command 'capsh' could not be found!
dracut: dracut module 'busybox' will not be installed, because command 'busybox' could not be found!
dracut: dracut module 'ifcfg' depends on 'network', which can't be installed
dracut: dracut module 'cifs' will not be installed, because command 'mount.cifs' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsistart' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsi-iname' could not be found!
dracut: *** Including module: bash ***
dracut: *** Including module: dash ***
dracut: *** Including module: i18n ***
dracut: *** Including module: drm ***
dracut: *** Including module: plymouth ***
dracut: *** Including module: kernel-modules ***
dracut: *** Including module: resume ***
dracut: *** Including module: rootfs-block ***
dracut: *** Including module: terminfo ***
dracut: *** Including module: udev-rules ***
dracut: Skipping udev rule: 40-redhat.rules
dracut: Skipping udev rule: 50-firmware.rules
dracut: Skipping udev rule: 50-udev.rules
dracut: Skipping udev rule: 91-permissions.rules
dracut: Skipping udev rule: 80-drivers-modprobe.rules
dracut: *** Including module: usrmount ***
dracut: *** Including module: base ***
dracut: *** Including module: fs-lib ***
dracut: *** Including module: shutdown ***
dracut: *** Including modules done ***
dracut: *** Installing kernel module dependencies ***
dracut: *** Installing kernel module dependencies done ***
dracut: *** Resolving executable dependencies ***
dracut: *** Resolving executable dependencies done***
dracut: *** Stripping files ***
dracut: *** Stripping files done ***
dracut: *** Generating early-microcode cpio image ***
dracut: *** Constructing GenuineIntel.bin ****
dracut: *** Store current command line parameters ***
dracut: Stored kernel commandline:
dracut:  resume=UUID=131d529b-67de-40a9-8dd3-5a53170b3bf0 resume=UUID=131d529b-67de-40a9-8dd3-5a53170b3bf0
dracut:  root=UUID=4b250e52-28f0-4d31-b825-4332beecb964 rootfstype=ext4 rootflags=rw,relatime
dracut: *** Creating image file '/boot/initrd-5.5.15-desktop-3.mga7.img' ***
dracut: *** Creating initramfs image file '/boot/initrd-5.5.15-desktop-3.mga7.img' done ***
      2/5: nvidia390-doc-html    ##################################################################################################################
      3/5: x11-driver-video-nvidia390
                                 ##################################################################################################################
/sbin/ldconfig: File /lib64/libpyldb-util.cpython-37m-x86-64-linux-gnu.so.1.5.6 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libldb.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.cpython-37m-x86-64-linux-gnu.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.so.1.5.6 is empty, not checked.
/sbin/ldconfig: File /lib64/libldb.so.1.5.6 is empty, not checked.
      4/5: nvidia390-cuda-opencl ##################################################################################################################
/sbin/ldconfig: File /lib64/libpyldb-util.cpython-37m-x86-64-linux-gnu.so.1.5.6 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libldb.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.cpython-37m-x86-64-linux-gnu.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.so.1.5.6 is empty, not checked.
/sbin/ldconfig: File /lib64/libldb.so.1.5.6 is empty, not checked.
      5/5: nvidia390-devel       ##################################################################################################################
/sbin/ldconfig: File /lib64/libpyldb-util.cpython-37m-x86-64-linux-gnu.so.1.5.6 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libldb.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.cpython-37m-x86-64-linux-gnu.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.so.1.5.6 is empty, not checked.
/sbin/ldconfig: File /lib64/libldb.so.1.5.6 is empty, not checked.
      1/5: removing nvidia390-devel-390.132-2.mga7.nonfree.x86_64
                                 ##################################################################################################################
      2/5: removing x11-driver-video-nvidia390-390.132-2.mga7.nonfree.x86_64
                                 ##################################################################################################################
/sbin/ldconfig: File /lib64/libpyldb-util.cpython-37m-x86-64-linux-gnu.so.1.5.6 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libldb.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.cpython-37m-x86-64-linux-gnu.so.1 is empty, not checked.
/sbin/ldconfig: File /lib64/libpyldb-util.so.1.5.6 is empty, not checked.
/sbin/ldconfig: File /lib64/libldb.so.1.5.6 is empty, not checked.
      3/5: removing nvidia390-cuda-opencl-390.132-2.mga7.nonfree.x86_64
                                 ##################################################################################################################

-------- Uninstall Beginning --------
Module:  nvidia390
Version: 390.132-2.mga7.nonfree
Kernel:  5.5.15-desktop-3.mga7 (x86_64)
-------------------------------------

Status: This module version was INACTIVE for this kernel.
depmod......

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  nvidia390
Version: 390.132-2.mga7.nonfree
Kernel:  5.4.17-desktop-1.mga7 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia390.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.4.17-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-modeset.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.4.17-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-drm.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.4.17-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-uvm.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.4.17-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod......

DKMS: uninstall Completed.

------------------------------
Deleting module version: 390.132-2.mga7.nonfree
completely from the DKMS tree.
------------------------------
Done.
      4/5: removing dkms-nvidia390-390.132-2.mga7.nonfree.x86_64
                                 ##################################################################################################################
      5/5: removing nvidia390-doc-html-390.132-2.mga7.nonfree.x86_64
                                 ##################################################################################################################


reboot

desktop presented  - ok

firefox ok

CC: (none) => westel

Comment 3 Brian Rockwell 2020-04-22 04:46:24 CEST
Phys Hardware:  AMD X3, Nvidia 730GT (390 driver)

$ uname -a
Linux localhost 5.5.15-desktop-3.mga7 #1 SMP Sat Apr 4 19:06:09 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux


Installed:

The following 4 packages are going to be installed:

- dkms-nvidia390-390.132-6.mga7.nonfree.x86_64
- nvidia390-cuda-opencl-390.132-6.mga7.nonfree.x86_64
- nvidia390-doc-html-390.132-6.mga7.nonfree.x86_64
- x11-driver-video-nvidia390-390.132-6.mga7.nonfree.x86_64


--- rebooted


# lsmod | grep nvidia
nvidia_drm             49152  1
nvidia_modeset       1056768  5 nvidia_drm
nvidia              14729216  171 nvidia_modeset
ipmi_msghandler        69632  2 ipmi_devintf,nvidia
drm_kms_helper        229376  1 nvidia_drm
drm                   565248  5 drm_kms_helper,nvidia_drm,ttm


System is working as expected.

CC: (none) => brtians1

Comment 4 Jose Manuel López 2020-04-22 08:27:10 CEST
I installed in Mga7-64, in Asus intel i7 with Nvidia GT820M. Works fine with new version of Mageia-prime (https://bugs.mageia.org/show_bug.cgi?id=24967, solution his here).

Greetings!!

CC: (none) => joselp

Thomas Backlund 2020-04-22 11:18:58 CEST

Blocks: (none) => 26525

Thomas Backlund 2020-04-22 11:19:13 CEST

Blocks: (none) => 26526

Comment 5 Len Lawrence 2020-04-22 13:50:30 CEST
Kernel: 5.5.15-desktop-3.mga7 x86_64
Alienware model: 08PG26 v: A00
Intel Core i7-2600 type: MT MCP
GeForce GTX 555/PCIe/SSE2 v: 4.6.0 NVIDIA 390.132 
$ sudo dkms status
nvidia390, 390.132-6.mga7.nonfree, 5.5.15-desktop-3.mga7, x86_64: installed

Mate desktop behaving normally, also general applications.  Test GL programs running fine and glmark2.
No problems.

CC: (none) => tarazed25

Comment 6 ben mcmonagle 2020-04-24 10:45:25 CEST
 Mga7 x86-64 all DE install (Plasma DE)
 
 Asus U31SD
 
 lscpu:
 ....
 Model name:          Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz

 
 lspcidrake
 ...
 Card:NVIDIA GeForce 420 to GeForce 630: NVIDIA Corporation|GF119M [GeForce GT 520M] [DISPLAY_VGA] (rev: a1)


 To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       5.6.6        1.mga7        x86_64  
  kernel-desktop-5.6.6-1.mga7    1            1.mga7        x86_64  
  kernel-desktop-devel-5.6.6-1.> 1            1.mga7        x86_64  
  kernel-desktop-devel-latest    5.6.6        1.mga7        x86_64  
  kernel-desktop-latest          5.6.6        1.mga7        x86_64  
  kernel-userspace-headers       5.6.6        1.mga7        x86_64  
(medium "Nonfree Updates Testing (distrib15)")
  kernel-firmware-nonfree        20200316     1.mga7.nonfr> noarch  
  radeon-firmware                20200416     1.mga7.nonfr> noarch  
117MB of additional disk space will be used.
153MB of packages will be retrieved.
Proceed with the installation of the 8 packages? (Y/n) y

nvidia390 (390.132-6.mga7.nonfree): Installing module.
........................................
........
Creating: target|kernel|dracut args|basicmodules 
You should restart your computer for kernel-desktop-5.6.6-1.mga7


reboot

working desktop

firefox -ok
wifi ok
nvidia -ok

uname -a
Linux localhost.localdomain 5.6.6-desktop-1.mga7 #1 SMP Tue Apr 21 16:10:58 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
Thomas Backlund 2020-04-24 17:32:14 CEST

Keywords: (none) => advisory, validated_update
Whiteboard: (none) => MGA7-64-OK
CC: (none) => sysadmin-bugs

Comment 7 Mageia Robot 2020-04-24 19:05:22 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2020-0109.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.